Get account metadata
Gets persistent metadata for a Minecraft account. Persistent metadata survives bot restarts and session changes.
Gets persistent metadata for a Minecraft account. Persistent metadata survives bot restarts and session changes.
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
The unique identifier (UUID) of the instance containing the account.
Format
uuidaccount_id*string
The profile_id (UUID) of the Minecraft account.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/accounts/:account_id/metadata"{ "metadata": [ { "namespace": "string", "entries": [ { "key": "string", "value": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } ] } } } }, "list_value": { "values": [ { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": { "property1": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } }, "property2": { "null_value": "NULL_VALUE", "number_value": 0.1, "string_value": "string", "bool_value": true, "struct_value": { "fields": {} }, "list_value": { "values": [] } } } }, "list_value": { "values": [] } } ] } } } ] } ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?